# Changelog

## 2025-01-09 - 1.2.2 - fix(component)
Fix sizing of status indicator in uptimelink-webwidget

- Corrected the status indicator dimensions for consistency.

## 2025-01-09 - 1.2.1 - fix(UptimelinkWebwidget)
Remove incorrect scale transformation in focused state.

- Fixed the CSS transform property for the .mainbox.focused class in the UptimelinkWebwidget component by removing an unintended scale transformation.

## 2025-01-09 - 1.2.0 - feat(webwidget)
Enhanced widget animations and styling

- Enabled reflect option for 'isOnTop' and 'showExpanded' properties.
- Improved the animation and styling of the 'mainbox' when it gains focus.
- Mainbox now has smoother opacity transitions and better background handling.
- Enhanced functionality of widget positioning for better rendering.

## 2024-06-28 - 1.1.2 - fix(elements)
Fix blur effect in UptimelinkWebwidget component

- Changed blur effect from true to false in the DeesWindowLayer setup

## 2024-06-27 - 1.1.1 - fix(build)
Fix build script to use correct tsbuild command

- Corrected the build script in package.json to use 'tsbuild tsfolders --allowimplicitany && tsbundle element --production' instead of 'tsbuild element --allowimplicitany && tsbundle element --production'.

## 2024-06-27 - 1.1.0 - feat(elements)
Add performance improvements to uptimelink-webwidget

- Added 'will-change: transform' to improve performance of the transform property
- Increased transition speed for element opacity from 0.2s to 0.1s for faster visual feedback
- Added scale transformation effect to the focused state of the widget

## 2024-06-27 - 1.0.82 - fix(core)
No code changes detected. Preparing for version increment based on package state.


## 2024-06-26 - 1.0.81 - fix(core)
Updated dependencies and improved code documentation.

- Updated internal dependencies to newer versions.
- Improved code documentation within TypeScript files.
- Adjusted scripts in package.json for better build performance.

## 2024-06-26 - 1.0.80 - fix(documentation)
Update package description and README for clarity

- Updated the README to provide better installation and usage instructions.
- Ensured that all sections contain relevant TypeScript and HTML examples.
- Added styling and advanced interaction examples to README.

## 2024-06-26 - 1.0.79 - fix(core)
Fixed various package metadata issues and improved component interactions

- Corrected package name and description in package.json
- Updated dependencies and devDependencies to latest versions
- Enhanced installation and usage documentation in readme.md
- Replaced internal 'UptimelinkWindowLayer' with '@design.estate/dees-catalog' dependency

## 2023-10-06 - 1.0.78 - Core
Multiple core updates

- Applied fixes and updates to core functionality repeatedly from version 1.0.55 to 1.0.78.

## 2022-03-25 - 1.0.69 - Core
Core updates and fixes

- Incremental core fixes and updates from version 1.0.55 to 1.0.69.

## 2021-03-09 - 1.0.67 - Core
Series of core fixes

- Continued fixes and updates to core from version 1.0.55 to 1.0.67.

## 2020-11-29 - 1.0.61 - Core
Regular core fixes

- Ongoing core fixes and updates from version 1.0.55 to 1.0.61.

## 2020-09-19 - 1.0.58 - Core
Core updates

- Core has been updated and fixed multiple times from version 1.0.55 to 1.0.58.

